> For the complete documentation index, see [llms.txt](https://docs.connect.jfrog.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.connect.jfrog.io/get-started/register-device-agent-7.0/linux-device-registration.md).

# Device Registration Troubleshooting

## HTTP installation

If your device doesn't support HTTPS, and it can only work with HTTP traffic, you can download the agent using the following HTTP command:

{% tabs %}
{% tab title="Bash" %}

```bash
su -c 'wget -O - "http://downloads.connect.jfrog.io/install_connect_http" | sh -s <USER_TOKEN> <PROJECT_NAME>'
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Please note that you must replace the **`<USER_TOKEN>`** with your private user token and **`<PROJECT_NAME>`** with your project name.
{% endhint %}

## Installing Connect agent returns "http/1.1 400 bad request"

Your `wget` can't execute HTTPS requests. This can happen when you have an old wget binary or old Busybox binary. Connect installation requires an updated `wget` or `Busybox` (version compiled in 2015 and above).

To fix this you can try to run the installation command with "http" instead of "https" or upgrade your wget/busybox.

1. To upgrade `Busybox`, please [​*download the binary*](https://www.busybox.net/downloads/binaries/1.31.0-defconfig-multiarch-musl/) and replace with the old binary or contact us at `support@jfrog.com` for technical installation support.
2. To upgrade `wget`, please run the commands below:

   * `apt -y update`
   * `apt install -y wget`

   ​

## Cannot verify connect.jfrog.io certificate

Add **`--no-check-certificate`** after the `wget` inside the installation command:

```bash
wget --no-check-certificate -O - "https://connect.jfrog.io/install_connect"...
```

## CentOS/Red Hat - SELinux permission issue

Connect agent can’t work properly with SELinux enabled, to fix the issue, please add the following se-policy to your Linux device or disable SELinux:

**Disable SELinux**

1. `vi /etc/selinux/config` (edit SELinux config file).
2. Change the **SELINUX** parameter from **enforcing** to **disabled** (disable SELinux system).
3. `reboot` (reboot the device).

**OR permit Connect's Agent in SELINUX**\
Run:

1. `semanage fcontext -a -t bin_t /etc/connect/service/ConnectAgent`
2. `restorecon -v /etc/connect/service/ConnectAgent`
3. `service connect restart`

\*Remote control / remote access will still won't work until *ssh* and *sshd* binaries will be permitted as well.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.connect.jfrog.io/get-started/register-device-agent-7.0/linux-device-registration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
